
Figure - Bug #114618
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111068 (New): AF-V3.0--Launcher/SystemUI-定制屏保

【AF】【EVT】【屏保】在控制中心编辑组件时进入屏保，屏保显示在控制中心页面的下一层
2022-12-15 18:20 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-15

Priority: Normal Due date: 2022-12-27

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0058.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0062.X101

Reproducibility: Every time Fixed Version: 2022-12-27

Test Type: IT Root cause: 编辑模式下，控制中心不会被收起。现已更改，编辑模式下，进入屏保时，控制中心将被收起

Description

【前提条件】

1、设备正常开机

【测试步骤】

1、打开控制中心

2、点击右上角的编辑按钮

3、等待设备进入屏保

【预期结果】

3、设备成功进入屏保，唤醒屏保后，显示编辑组件页面

【实际结果】

3、等待20秒后（ 此时设置得屏保时间为20s）

设备仍显示为编辑页面

退出编辑模式，关闭控制中心，发现设备已经进入屏保

History

#1 - 2022-12-22 16:18 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2022-12-23 11:50 - CD APP-王宏

- Assignee changed from CD APP-王宏 to CD FW 曹覃刚

■ My analysis

经过调查发现控制中心的自然息屏是发送了 Intent.ACTION_CLOSE_SYSTEM_DIALOGS 的广播来关闭控制中心

StatusBar$mBroadcastReceiver可以收到广播

但是在编辑模式下StatusBar$mBroadcastReceiver 的广播不会回调 (可以确保上在ActionReceiver$onReceive 中是发了的)

■ Next action

覃刚，这个应该是SystemUI的问题，请在对应界面添加 Intent.ACTION_CLOSE_SYSTEM_DIALOGS 的广播，并做好关闭控制中心-编辑模式 下的逻辑处理

#3 - 2022-12-23 15:24 - CD APP-王宏
- Category changed from CD-APP to CD-FW

#4 - 2022-12-26 15:56 - CDTS-TEST 周婷

- Due date set to 2022-12-27

- Target version set to VX1_MCE_FSE_V5.0_20221230

#5 - 2022-12-26 19:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

172242 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:QuickSettings:Fix screensaver display1.The screen saver should work in edit mode2.Removed the animation for entering and exiting edit modeTC-RID:

1201-0201903IssueID: TS-R-BUG-114618Change-Id: I7a3d0cb45cd6b451d5a5950dfec2649905b49205

#6 - 2022-12-26 19:16 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-27

- Root cause set to 编辑模式下，控制中心不会被收起。现已更改，编辑模式下，进入屏保时，控制中心将被收起

#7 - 2022-12-27 16:32 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0062.X101

12.27

验证通过

#8 - 2022-12-27 16:32 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

1111.zip 8.82 MB 2022-12-15 CD TEST-方永红

2025-07-04 2/2


